.table {
    display: table;
    table-layout: fixed;
    width: 100%;
    font-size: 12px;
}

.head {
    display: table-header-group;
}

.th {
    background: #c3c3c3;
    text-transform: uppercase;
    font-weight: bold;
    padding: 15px 10px;
}

.th, .td {
    display: table-cell;
    vertical-align: middle;
}

.td:not(.active):hover .value {
    background: #e3e3e3;
    cursor: pointer;
}

.td.active {
    background: #6bd3ff;
}

.body {
    display: table-row-group;
}

.row {
    display: table-row;
}

.value {
    padding: 15px 10px;
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
}

.edit {
    padding: 5px 5px;
}

.input {
    padding: 10px 5px;
    box-shadow: 0 0 0 1px #4cb2cd;
    width: 100%;
}

.checkbox {
    height: 16px;
    width: 16px;
    display: block;
    cursor: pointer;
    box-shadow: 0 0 0 1px #c3c3c3;
    position: relative;
}

.checkbox:checked {
    background: #c3c3c3;
}

.checkbox:checked:before {
    content: 'X';
    color: white;
    font-family: monospace;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateY(-50%) translateX(-50%);
}

.select {
    padding: 10px 5px;
    box-shadow: 0 0 0 1px #cdcdcd;
    width: 100%;
    cursor: pointer;
    display: block;
}

.selectType {
    position: relative;
}

.selectType:after {
    content: '▼';
    color: #cdcdcd;
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
}

.link {
    text-decoration: underline;
    color: red;
}